{include="header"}

{if="$fsc->agente"}
   {if="$fsc->arqueo"}
   <div class="container-fluid">
      <div class="row">
         <div class="col-sm-3"></div>
         <div class="col-sm-6">
            <div class="thumbnail">
               <img src='view/img/big_lock.png' alt="Acceso denegado"/>
            </div>
         </div>
      </div>
   </div>
   {elseif="$fsc->terminal"}
   <script type="text/javascript">
      var keyboard_id = false;
      
      function get_keyboard(id)
      {
         keyboard_id = id;
         
         $("#modal_keyboard").modal('show');
         $("#i_keyboard").val( $("#"+keyboard_id).val() );
      }
      function set_keyboard(key)
      {
         if(key == 'back')
         {
            var str = $("#i_keyboard").val();
            
            if(str.length > 0)
            {
               $("#i_keyboard").val( str.substring(0, str.length-1) );
            }
         }
         else if(key == 'clear')
         {
            $("#i_keyboard").val('');
         }
         else if(key == '+/-')
         {
            $("#i_keyboard").val( 0 - parseFloat($("#i_keyboard").val()) );
         }
         else if(key == 'ok')
         {
            $("#"+keyboard_id).val( $("#i_keyboard").val() );
            $("#modal_keyboard").modal('hide');
         }
         else
         {
            $("#i_keyboard").val( $("#i_keyboard").val()+key );
         }
      }
      $(document).ready(function() {
         document.f_caja.d_inicial.select();
      });
   </script>
   <form name="f_caja" action="{$fsc->url()}" method="post" class="form">
      <input type="hidden" name="terminal" value="{$fsc->terminal->id}"/>
      <div class="container">
         <div class="row">
            <div class="col-sm-6 col-sm-offset-3">
               <div class="page-header">
                  <h1>
                     <span class="glyphicon glyphicon-print" aria-hidden="true"></span>&nbsp;
                     Terminal {$fsc->terminal->id}
                  </h1>
               </div>
               <div class="well">
                  <h2>¿Cuanto dinero hay en la caja?</h2>
                  <div class="form-group">
                     <div class="input-group">
                        <input id="d_inicial" class="form-control" type="text" name="d_inicial" value="0.00" autocomplete="off"/>
                        <span class="input-group-btn">
                           <button class="btn btn-default" type="button" onclick="get_keyboard('d_inicial')">
                              <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                           </button>
                        </span>
                     </div>
                  </div>
                  <div class="text-right">
                     <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                        <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar
                     </button>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </form>
   <div class="modal" id="modal_keyboard" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
               </button>
               <h4 class="modal-title">
                  <span class="glyphicon glyphicon-th"></span> &nbsp; Teclado
               </h4>
            </div>
            <div class="modal-body">
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-sm-12">
                        <div class="form-group">
                           <input type="text" id="i_keyboard" class="form-control" autocomplete="off"/>
                        </div>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('7')">7</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('8')">8</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('9')">9</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-warning" onclick="set_keyboard('back')">&lt;--</a>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-12">
                        <br/>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('4')">4</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('5')">5</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('6')">6</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-danger" onclick="set_keyboard('clear')">
                           <span class="glyphicon glyphicon-trash"></span>
                        </a>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-12">
                        <br/>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('1')">1</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('2')">2</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('3')">3</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('+/-')">+/-</a>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-12">
                        <br/>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('0')">0</a>
                     </div>
                     <div class="col-sm-3">
                        <a href="#" class="btn btn-lg btn-block btn-default" onclick="set_keyboard('.')">.</a>
                     </div>
                     <div class="col-sm-6">
                        <a href="#" class="btn btn-lg btn-block btn-success" onclick="set_keyboard('ok')">
                           <span class="glyphicon glyphicon-ok"></span>
                        </a>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
   <div class="hidden">
      <iframe src="http://localhost:10080?terminal={$fsc->terminal->id}" height="0"></iframe>
   </div>
   {else}
   <div class="container">
      <div class="row">
         <div class="col-sm-12">
            <div class="page-header">
               <h1>
                  <i class="fa fa-desktop" aria-hidden="true"></i>&nbsp;
                  Elige un terminal para empezar
               </h1>
               <p class="help-block">
                  Una vez abierta la caja de un terminal, ningún otro usuario podrá
                  usarlo hasta que se cierre la caja.
               </p>
            </div>
         </div>
      </div>
      <div class="row">
         {loop="$fsc->results"}
         <div class="col-sm-6">
            <a href="{$fsc->url()}&terminal={$value->id}" class="btn btn-block btn-default">
               <span class="glyphicon glyphicon-print" aria-hidden="true"></span>&nbsp; Terminal {$value->id}
            </a>
         </div>
         {else}
         <div class="col-sm-12">
            <a href="index.php?page=tpv_caja#terminales" class="btn btn-block btn-info">
               <span class="glyphicon glyphicon-wrench" aria-hidden="true"></span>&nbsp; Administrar terminales
            </a>
         </div>
         {/loop}
      </div>
   </div>
   {/if}
{else}
<div class="text-center">
   <img src='view/img/big_lock.png' alt="Acceso denegado"/>
</div>
{/if}

{include="footer"}